function showSpatialSelection(theObj) {
    var theIdValue = theObj.value;

    var theDivElems = document.getElementById('spatialselection').getElementsByTagName("DIV");

    for (var i = 0; i < theDivElems.length; i++) {
        theDivElems[i].style.display = "none";
    }
    document.getElementById(theIdValue).style.display = "block";

}
function displayOverlay() {
    adjustOverlaySize();
    showDiv("overlay");
    showDiv("overlayContent");
}

function adjustOverlaySize() {
    var lHeight = document.getElementById("page").scrollHeight;
    //alert(lHeight);
    var lOverlay = document.getElementById("overlay");
    lOverlay.style.height = lHeight + 'px';
}

function displayDiv(pName) {
    var el = document.getElementById(pName);
    el.style.display = (el.style.display == "none" || el.style.display == "") ? "block" : "none";
}
function showDiv(pName) {
    var el = document.getElementById(pName);
    el.style.visibility = (el.style.visibility == "visible") ? "hidden" : "visible";
}

function hideDiv(pName) {
	var el = document.getElementById(pName);
	el.style.visibility = "hidden";
}

function sendAjaxForm(pFormId, pTarget, pIdOfResponseDiv) {
    new Ajax.Updater(pIdOfResponseDiv, pTarget, {    method:'post',
        parameters: $(pFormId).serialize(true),
        onSuccess: function(transport) {
            //var response = transport.responseText || "no response text";
            //alert("Success! \n\n" + response);
        },
        onFailure: function() { //alert('Something went wrong...')
        }
    }
            );
}
function resetOptionsForm(pForm) {
	//alert("resetOptionsForm"+!pForm.overrideSize[0].checked+"  "+pForm.overridenWidth.value);
    // Levels abgeklemmt sendDiagramOptions(pForm.action, !pForm.overrideSize[0].checked, pForm.overridenWidth.value, pForm.useUpperDataLevel.checked, pForm.useLowerDataLevel.checked, pForm.upperLevel.value, pForm.lowerLevel.value)
    sendDiagramOptions(pForm.action, false, 500);
    }

function sendOptionsForm(pForm) {
	//alert("sendOptionsForm"+!pForm.overrideSize[0].checked+"  "+pForm.overridenWidth.value);
    // Levels abgeklemmt sendDiagramOptions(pForm.action, !pForm.overrideSize[0].checked, pForm.overridenWidth.value, pForm.useUpperDataLevel.checked, pForm.useLowerDataLevel.checked, pForm.upperLevel.value, pForm.lowerLevel.value)
    sendDiagramOptions(pForm.action, !pForm.overrideSize[0].checked, pForm.overridenWidth.value);
    }


//function sendDiagramOptions(pActionTarget, pOverrideSize, pOverridenWidth, pUseUpperLevel, pUseLowerLevel, pUpper, pLower) {
//    new Ajax.Updater('diagramOptionsContent', pActionTarget, {method: 'post',
//        parameters: {
//            overrideSize: pOverrideSize,
//            useUpperDataLevel: pUseUpperLevel,
//            useLowerDataLevel: pUseLowerLevel,
//            overridenWidth: pOverridenWidth,
//            upperLevel: pUpper,
//            lowerLevel: pLower,
//            cmd : 'setOptions'
//        }});
//}
function sendDiagramOptions(pActionTarget, pOverrideSize, pOverridenWidth) {
	//alert("sendDiagramOptions"+pOverrideSize+" "+pOverridenWidth);
	new Ajax.Updater('diagramOptionsContent', pActionTarget, {method: 'post',
        parameters: {
            overrideSize: pOverrideSize,
            overridenWidth: pOverridenWidth,
             cmd : 'setOptions'
        }});
}
